summaryrefslogtreecommitdiffstats
path: root/debian/gnome-shell.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/gnome-shell.postinst')
-rw-r--r--debian/gnome-shell.postinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/gnome-shell.postinst b/debian/gnome-shell.postinst
new file mode 100644
index 0000000..a2c32fc
--- /dev/null
+++ b/debian/gnome-shell.postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ # trigger an update notification that recommends a reboot
+ # (used by unattended-upgrades etc.)
+ touch /var/run/reboot-required || true
+
+ # same thing for the older update-notifier interface
+ if [ -x /usr/share/update-notifier/notify-reboot-required ]; then
+ /usr/share/update-notifier/notify-reboot-required || true
+ fi
+ ;;
+esac
+
+#DEBHELPER#